<template>
  <fieldset>
    <CheckboxBorderedLabel for="showHeader" :text="t('show column names')">
      <input
        type="checkbox"
        :checked="currentSettings.showHeader"
        name="showHeader"
        id="showHeader"
      />
    </CheckboxBorderedLabel>
    <CheckboxBorderedLabel for="showStationName" :text="t('show station name')">
      <input
        type="checkbox"
        :checked="currentSettings.showStationName"
        name="showStationName"
        id="showStationName"
      />
    </CheckboxBorderedLabel>
  </fieldset>
</template>

<script>
module.exports = {
  name: "public-transport-departures",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    locale: {
      type: String,
      required: true
    }
  },
  locales: {
    deDe: {
      "show column names": "Spaltentitel anzeigen",
      "show station name": "Name der Haltestelle anzeigen"
    },
    frFr: {
      "show column names": "Afficher les noms des colonnes",
      "show station name": "Afficher le nom de la station"
    },
    esEs: {
      "show column names": "Mostrar nombres de columna",
      "show station name": "Mostrar el nombre de la estación"
    },
    plPl: {
      "show column names": "pokaż nazwy kolumn",
      "show station name": "pokaż nazwę stacji"
    },
    koKr: {
      "show column names": "열 이름 표시",
      "show station name": "방송국 이름 표시"
    }
  }
};
</script>
<style scoped>
/* your styles here */
</style>
